org.eclipse.rdf4j.common.webapp.system.logging

## Class LoggingOverviewController

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.system.logging.LoggingOverviewController

- All Implemented Interfaces:
    org.springframework.web.servlet.mvc.Controller

      public class LoggingOverviewController
      extends Object
      implements org.springframework.web.servlet.mvc.Controller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingOverviewController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppenderName()`
    `AppConfiguration` | `getConfig()`
    `LogReader` | `getLogReader(int offset, int count, javax.servlet.http.HttpServletRequest request)`
    `org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setAppenderName(String appenderName)`
    `void` | `setConfig(AppConfiguration config)`
    `void` | `setViewName(String viewName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingOverviewController

          public LoggingOverviewController()

  - ### Method Detail

    - #### handleRequest

          public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response)
                                                                     throws Exception

      Specified by:
        `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
      Throws:
        `Exception`

    - #### getLogReader

          public LogReader getLogReader(int offset,
                                        int count,
                                        javax.servlet.http.HttpServletRequest request)

    - #### getConfig

          public AppConfiguration getConfig()

    - #### setConfig

          public void setConfig(AppConfiguration config)

    - #### getAppenderName

          public String getAppenderName()

      Returns:
        Returns the appenderName.

    - #### setAppenderName

          public void setAppenderName(String appenderName)

      Parameters:
        `appenderName` - The appenderName to set.

    - #### setViewName

          public void setViewName(String viewName)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.